#
# spec file for package erldash
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           erldash
Version:        0.3.0+0
Release:        1.1
Summary:        A simple, terminal-based Erlang dashboard
License:        (Apache-2.0 OR MIT) AND MIT AND Apache-2.0 WITH LLVM-exception AND MPL-2.0
Group:          Development/Tools/Other
URL:            https://github.com/sile/erldash
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-packaging
Requires:       erlang >= 23.0
ExclusiveArch:  %{rust_tier1_arches}

%description
A simple, terminal-based Erlang dashboard.
erldash connects to an Erlang node using the dynamic node name feature (since OTP-23) to collect metrics.

%prep
%autosetup -a1
mkdir -p .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/erldash

%changelog
* Tue Feb 13 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.3.0:
  * Replace tui (no longer maintained) with ratatui #10
  * Update dependencies #12
  * Add --port option to support epmdless nodes #13
* Sun Oct 22 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.2.0:
  * Display current time in the top-right corner of the dashboard #7
  * Add node name column to the header #8
  * Introduce run and replay subcommands (breaking change) #9
* Thu Oct 19 2023 Michael Vetter <jubalh@iodoru.org>
- Update to 0.1.5:
  * Update dependencies and remove ordered-float crate #5
  * Add --record and --replay options #6
* Tue Sep 19 2023 Lubos Kocman <lubos.kocman@suse.com>
- License correction based on legaldb report
* Tue Aug  8 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.3:
  * Update dependencies
  * Add repology badge
* Tue Nov  8 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.1.2:
  * Fix typo: s/processe_count/process_count/ #2
- Configure cargo_audit
* Tue Nov  8 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.1.1:
  * Fix a bug during average calculation #1
* Thu May  5 2022 Michael Vetter <mvetter@suse.com>
- Initial package of erldash 0.1.0 for openSUSE
